%DEBUG2 - comparison of CIELO and ICE solutions
%
%   This script is used to debug Cielo and Ice by comparing
%   the results of both solutions

clear @pentaelem/CreateKMatrix
clear @pentaelem/CreatePVector
clear @triaelem/CreateKMatrix
clear @triaelem/CreatePVector
clear @triaelem/CreateKMatrixHoriz
clear @triaelem/CreatePVectorHoriz
clear @icefront/CreatePVector

md.element_debug=1;
md.element_debugid=41;

%first run ice
md.vx=NaN; md.vy=NaN; md.vz=NaN; md.vel=NaN;
md.cluster='none';md.batch=0;

try,
	md=solve(md,'diagnostic','ice');
catch,
end

%now run cielo
md.cluster='wilkes';md.batch=1;
md=solve(md,'diagnostic_horiz','cielo');
